Suppliers

List Suppliers

Get a list of suppliers with pagination

GET
/api/v1/suppliers
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Query Parameters

page?number

The page number to retrieve

Default1
Range1 <= value
limit?number

The number of items per page

Default10
Range1 <= value <= 100
search?string

Search term to filter suppliers

Response Body

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/suppliers"
{
  "success": true,
  "suppliers": [
    {
      "id": "string",
      "teamId": "string",
      "externalId": "string",
      "name": "string",
      "vatNumber": "string",
      "peppolAddresses": [
        "string"
      ],
      "createdAt": "string",
      "updatedAt": "string",
      "labels": [
        {
          "id": "string",
          "externalId": "string",
          "name": "string",
          "colorHex": "string"
        }
      ]
    }
  ],
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "totalPages": 0
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}